import 'package:flutter/material.dart';

import 'ui_spacing.dart';

class NoMore extends StatelessWidget {
  final double paddingFlactor;
  final String? text;
  const NoMore({Key? key, this.text, this.paddingFlactor = 1})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    if (text != null && text!.isNotEmpty) {
      return Container(
        alignment: Alignment.center,
        padding: EdgeInsets.all(uiSpacing(paddingFlactor)),
        child: Text(
          text!,
          style: TextStyle(color: Colors.grey),
        ),
      );
    }
    return Container();
  }
}
