import 'package:flutter/material.dart';

import '../mobile_ui.dart';

class UiConfig {
  static double baseSpacing = 4;
  final FormInputBackgroundStyle? formInputBackgroundStyle;
  final FormInputLabelStyle? formInputLabelStyle;
  final FormInputTextStyle? formInputTextStyle;
  final CustomButtonStyle? primaryButtonStyle;
  final CustomButtonStyle? defaultButtonStyle;
  final CustomButtonStyle? secondaryButtonStyle;
  final CustomButtonStyle? textButtonStyle;
  final MobileUIStrings? mobileUIStrings;
  final Color? labelColor;

  UiConfig(
      {this.formInputBackgroundStyle,
      this.formInputLabelStyle,
      this.primaryButtonStyle,
      this.textButtonStyle,
      this.defaultButtonStyle,
      this.secondaryButtonStyle,
      this.formInputTextStyle,
      this.mobileUIStrings,
      this.labelColor});
}

class MobileUIStrings {
  final String Function(String searchText)? notFoundMsg;

  MobileUIStrings({this.notFoundMsg});
}
